Bug 729584 - yum / RHN Channels filter
yum / RHN Channels filter
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum-rhn-plugin (Show other bugs)
5.7
All Linux
medium Severity medium
: rc
: ---
Assigned To: Michael Mráka
Pavel Studeník
:
Depends On: 614138
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-10 05:11 EDT by unixadmin
Modified: 2012-02-21 01:28 EST (History)
6 users (show)

See Also:
Fixed In Version: yum-rhn-plugin-0.5.4-25.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-21 01:28:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Legacy) 60972 None None None Never

  None (edit)
Description unixadmin 2011-08-10 05:11:43 EDT
Description of problem:

As it is known, `yum` translates RHN Channels subscription as "repositories".

There was an option to filter such repositories with --enablerepo --disablerepo options. After upgrade to the RHEL 5.7 it does not work anymore.

--disablerepo='*' disables only generic repositories, not translated from the RHN Channels: (epel in my case)


#yum repolist
Loaded plugins: downloadonly, rhnplugin, security
repo id repo name status
epel Extra Packages for Enterprise Linux 5 6,550
rhel-x86_64-server-5 Red Hat Enterprise Linux (v. 5 for 64- 11,891
rhel-x86_64-server-productivity-5 RHEL Optional Productivity Apps (v. 5 1,678
rhel-x86_64-server-supplementary-5 RHEL Supplementary (v. 5 for 64-bit x8 1,085
rhel-x86_64-server-vt-5 RHEL Virtualization (v. 5 for 64-bit x 424
rhn-tools-rhel-x86_64-server-5 Red Hat Network Tools for RHEL Server 482
repolist: 22,110


# yum --disablerepo='*' repolist
Loaded plugins: downloadonly, rhnplugin, security
repo id repo name status
rhel-x86_64-server-5 Red Hat Enterprise Linux (v. 5 for 64- 11,891
rhel-x86_64-server-productivity-5 RHEL Optional Productivity Apps (v. 5 1,678
rhel-x86_64-server-supplementary-5 RHEL Supplementary (v. 5 for 64-bit x8 1,085
rhel-x86_64-server-vt-5 RHEL Virtualization (v. 5 for 64-bit x 424
rhn-tools-rhel-x86_64-server-5 Red Hat Network Tools for RHEL Server 482
repolist: 15,560


Version-Release number of selected component (if applicable):


# rpm -qa | grep -i rhn
rhn-check-0.4.20-56.el5
rhn-client-tools-0.4.20-56.el5
rhn-setup-0.4.20-56.el5
rhn-setup-gnome-0.4.20-56.el5
rhnlib-2.5.22-6.el5
rhnsd-4.7.0-10.el5
yum-rhn-plugin-0.5.4-22.el5

# rpm -qa | grep -i yum
yum-metadata-parser-1.1.2-3.el5
yum-updatesd-0.9-2.el5
yum-security-1.1.16-16.el5
yum-3.2.22-37.el5
yum-utils-1.1.16-16.el5
yum-downloadonly-1.1.16-16.el5
yum-rhn-plugin-0.5.4-22.el5

How reproducible:

Always in RHEL 5.7

Steps to Reproduce:
1. yum --disablerepo='*' repolist
2.
3.
  
Actual results:

No repositories filtering, does not accept --enablerepo --disablerepo

Expected results:

Should accept --enablerepo --disablerepo

Additional info:
Comment 1 unixadmin 2011-08-10 06:03:33 EDT
There is regression from the RHEL 5.6



# yum downgrade yum-rhn-plugin-0.5.4-17.el5
Loaded plugins: downloadonly, rhnplugin, security
Setting up Downgrade Process
Resolving Dependencies
--> Running transaction check
---> Package yum-rhn-plugin.noarch 0:0.5.4-17.el5 set to be updated
---> Package yum-rhn-plugin.noarch 0:0.5.4-22.el5 set to be erased
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package            Arch       Version           Repository                Size
================================================================================
Downgrading:
 yum-rhn-plugin     noarch     0.5.4-17.el5      rhel-x86_64-server-5      59 k

Transaction Summary
================================================================================
Remove        0 Package(s)
Reinstall     0 Package(s)
Downgrade     1 Package(s)

Total download size: 59 k
Is this ok [y/N]: y
Downloading Packages:
yum-rhn-plugin-0.5.4-17.el5.noarch.rpm                   |  59 kB     00:00
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing     : yum-rhn-plugin                                           1/2
warning: /etc/yum/pluginconf.d/rhnplugin.conf created as /etc/yum/pluginconf.d/rhnplugin.conf.rpmnew
  Cleanup        : yum-rhn-plugin                                           2/2

Removed:
  yum-rhn-plugin.noarch 0:0.5.4-22.el5

Installed:
  yum-rhn-plugin.noarch 0:0.5.4-17.el5

Complete!



# yum --disablerepo='*' repolist
Loaded plugins: downloadonly, rhnplugin, security
repolist: 0
Comment 2 unixadmin 2011-08-17 04:41:54 EDT
Regression after bug 614138 , reopened.
Comment 4 Marcelo Moreira de Mello 2011-08-23 15:07:23 EDT
We tested the package built today (08/23/2011) which reverted some modifications and this restored the same behaviour for yum-rhn-plugin usage. Look below: 


# rpm --oldpackage -Uvh yum-rhn-plugin-0.5.4-22.el5_7.1.noarch.rpm 
Preparing...                ########################################### [100%]
   1:yum-rhn-plugin         ########################################### [100%]

# rpm -q yum-rhn-plugin
yum-rhn-plugin-0.5.4-22.el5_7.1

# yum --disablerepo='*' repolist
Loaded plugins: rhnplugin, security
repolist: 0
Comment 8 unixadmin 2011-09-02 03:18:40 EDT
yum-rhn-plugin-0.5.4-22.el5_7.1  works! Thank you!
Comment 10 Michael Mráka 2011-10-03 05:03:38 EDT
The issue has been already fixed by z-stream errata package
yum-rhn-plugin-0.5.4-22.el5_7.2.noarch.
Comment 11 Michael Mráka 2011-10-03 05:34:35 EDT
The issue has been addressed as a part of bug 734965 and bug 735282.
Comment 15 errata-xmlrpc 2012-02-21 01:28:49 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0162.html

Note You need to log in before you can comment on or make changes to this bug.